var IFilePicker = {modeOpen:0, modeSave:1, modeGetFolder:2, modeOpenMultiple:3,returnOK:0, returnCancel:1, returnReplace:2};
var IDOMWindow = {SizeMode_Normal:0, SizeMode_Minimized:1, SizeMode_Maximized : 2};
var IDOMAmbient = {lockpaint:1, locklayout:2, lockcalcregion:4};
var IRegistry = {REG_ERR:-1, REG_NONE:0, REG_SZ:1, REG_EXPAND_SZ:2, REG_DWORD:4, KEY_READ:0x20019, KEY_WRITE:0xF003F, KEY_ALL:0x20019|0xF003F};
var IDOMEvent = {eLeftButton:0, eMiddleButton:1, eRightButton : 2};
var IPlayerState = {pppBuffering:0,pppReady:1,pppPlay:2,pppPause:3,pppStop:4,pppMediaEnd:5};

var const_minWidth_list =242;
var const_minWidth_web=484;
var const_minWidth_Player_mini=246;
var const_minHeight_Player_mini=186;
//var const_minWidth_Player_classic=550
//var const_minHeight_Player_classic=550
//var const_minWidth_Player_modern=550
//var const_minHeight_Player_modern=550


function EwaOnPlayStateChanged(newState)
{
	if(!EWA)EWA = Components.GetObject("EWA");
	if(EWA)
	{
		if(newState==IPlayerState.pppStop || newState==IPlayerState.pppMediaEnd)
		{
			$("key_Stop").disabled =true;
			$("menu_Stop").disabled=true;
		}
		else if(newState==IPlayerState.pppBuffering || newState==IPlayerState.pppReady || newState==IPlayerState.pppPlay)
		{
			$("key_Stop").disabled =false;
			$("menu_Stop").disabled=false;
		}
	}
}
function $(id)
{
	return document.getElementById(id);
}

function OpenFile()
{
	var filePicker = Components.CreateObject("@pplive.com/filepicker;1");
	if (filePicker)
	{
		filePicker.init(window, "打开", IFilePicker.modeOpen);
		filePicker.appendFilter("Windows Media 文件(asf) (*.asf;*.wm;*.wma;*.wmv;*.wmd)", "*.asf;*.wm;*.wma;*.wmv;*.wmd");
		filePicker.appendFilter("Flash Video文件(flv) (*.flv;*.mp4)", "*.flv;*.mp4");
		filePicker.appendFilter("Real 文件(rm) (*.rm;*.rmvb;*.ra;*.ram)", "*.rm;*.rmvb;*.ra;*.ram");
		filePicker.appendFilter("所有文件(*.*)", "*.*");
		var openReturn = filePicker.show();
		if (openReturn != IFilePicker.returnCancel)
		{
			return filePicker.file;
		}
	}
	return "";
}


function EwaPlayString(strPlayString)
{
	if (strPlayString.length > 0)
	{
		var EWA = Components.GetObject("EWA");
		if(EWA)EWA.URL=strPlayString;
	}
}

function EwaVolumeModify(nModifyValue)
{
	if(!EWA)EWA = Components.GetObject("EWA");
	if(EWA)
	{
		var nVolume=EWA.Volume;
		nVolume=nVolume+nModifyValue;
		if(nVolume<0)nVolume=0;
		if(nVolume>100)nVolume=100;
		EWA.Volume=nVolume;
	}
}

function EwaChangeMute()
{
	if(!EWA)EWA = Components.GetObject("EWA");
	if(EWA)
	{
		EWA.Mute=!EWA.Mute;
	}
}
function EwaPlayOrPause()
{
	if(!EWA)EWA = Components.GetObject("EWA");
	if(EWA)
	{
		var state = EWA.PlayState;
		if(state==3 || state==4 || state==5)
		{
			EWA.Play();
		}
		else if(state==2)
		{
			EWA.Pause();
		}
	}
}
function EwaStop()
{
	if(!EWA)EWA = Components.GetObject("EWA");
	if(EWA)
	{
		EWA.Stop()
	}
}
function EwaIsFullScreen()
{
	try
	{
		if(!EWA)EWA = Components.GetObject("EWA");
		if(EWA)
		{
			return EWA.FullScreen;
		}
	}
	catch(e)
	{
		
	}
	return false;
}
function EwaFullScreen()
{
	if(!EWA)EWA = Components.GetObject("EWA");
	if(EWA)
	{
		EWA.FullScreen=true;
	}
}
function EwaUnFullScreen()
{
	if(!EWA)EWA = Components.GetObject("EWA");
	if(EWA)
	{
		EWA.FullScreen=false;
	}
}
function EwaFullOrUnfull()
{
	if(!EWA)EWA = Components.GetObject("EWA");
	if(EWA)
	{
		EWA.FullScreen=!EWA.FullScreen;
	}
}
function PPPSetTrack(track)
{
	var PPP= Components.GetObject("PPP");
	$("menu_leftTrack").checked=false;
	$("menu_rightTrack").checked=false;
	$("menu_stereo").checked=false;
	if(track<0)
	{
		track=-100;
		$("menu_leftTrack").checked=true;
	}
	else if(track>0)
	{
		track=100;
		$("menu_rightTrack").checked=true;
	}
	else
	{
		$("menu_stereo").checked=true;
	}
	if(PPP)
	{
		PPP.Track=track;
	}
}
function Resize(size)
{
	var ppFrame=Components.GetObject("@pplive.com/PPFrame;1");
	if(ppFrame)
	{	
		ppFrame.ResizerCommand(size,0);
	}

}

// SIG // Begin signature block
// SIG // MIIVCgYJKoZIhvcNAQcCoIIU+zCCFPcCAQExCzAJBgUr
// SIG // DgMCGgUAMGcGCisGAQQBgjcCAQSgWTBXMDIGCisGAQQB
// SIG // gjcCAR4wJAIBAQQQEODJBs441BGiowAQS9NQkAIBAAIB
// SIG // AAIBAAIBAAIBADAhMAkGBSsOAwIaBQAEFN0Zta2fbYl6
// SIG // ohCP5ZSqLQpHMjzZoIIRETCCA3owggJioAMCAQICEDgl
// SIG // 1/r4Ya+e9JDnJrXWWtUwDQYJKoZIhvcNAQEFBQAwUzEL
// SIG // MAkGA1UEBhMCVVMxFzAVBgNVBAoTDlZlcmlTaWduLCBJ
// SIG // bmMuMSswKQYDVQQDEyJWZXJpU2lnbiBUaW1lIFN0YW1w
// SIG // aW5nIFNlcnZpY2VzIENBMB4XDTA3MDYxNTAwMDAwMFoX
// SIG // DTEyMDYxNDIzNTk1OVowXDELMAkGA1UEBhMCVVMxFzAV
// SIG // BgNVBAoTDlZlcmlTaWduLCBJbmMuMTQwMgYDVQQDEytW
// SIG // ZXJpU2lnbiBUaW1lIFN0YW1waW5nIFNlcnZpY2VzIFNp
// SIG // Z25lciAtIEcyMIGfMA0GCSqGSIb3DQEBAQUAA4GNADCB
// SIG // iQKBgQDEtfJSFbyIhmApFkpbL0uRa4eR8zVUWDXq0TZe
// SIG // Yk1SUTRxwntmHYnI3SrEagr2N9mYdJH2kq6wtXaW8alK
// SIG // Y0VHLmsLkk5LK4zuWEqL1AfkGiz4gqpY2c1C8y3Add6N
// SIG // q8eOHZpsTAiVHt7b72fhcsJJwp5gPOHivhajY3hpFHut
// SIG // LQIDAQABo4HEMIHBMDQGCCsGAQUFBwEBBCgwJjAkBggr
// SIG // BgEFBQcwAYYYaHR0cDovL29jc3AudmVyaXNpZ24uY29t
// SIG // MAwGA1UdEwEB/wQCMAAwMwYDVR0fBCwwKjAooCagJIYi
// SIG // aHR0cDovL2NybC52ZXJpc2lnbi5jb20vdHNzLWNhLmNy
// SIG // bDAWBgNVHSUBAf8EDDAKBggrBgEFBQcDCDAOBgNVHQ8B
// SIG // Af8EBAMCBsAwHgYDVR0RBBcwFaQTMBExDzANBgNVBAMT
// SIG // BlRTQTEtMjANBgkqhkiG9w0BAQUFAAOCAQEAUMVLyCSA
// SIG // 3+QNJMLeGrGhAqGmgi0MgxWBNwqCDiywWhdhtdgF/ojb
// SIG // 8ZGRs1YaQKbrkr44ObB1NnQ6mE/kN7qZicqVQh2wuceg
// SIG // jVfg+tVkBEI1TgHRM6IXyE2qJ8fy4YZMAjhNg3jG/FPg
// SIG // 6+AGh92klp5eDJjipb6/goXDYOHfrSjYx6VLZNrHG1u9
// SIG // rDkI1TgioTOLL4qa67wHIT9EQQkHtWUcJLxI00SA66HP
// SIG // yQK0FM9UxxajgFz5eT5dcn2IF54sQ6LKU859PfYqOrhP
// SIG // lAClbQqDXfleU/QYs1cPcMP79a2VoA4X3sQWgGDJDytu
// SIG // hgTx6/R4J9EFxe40W165STLyMzCCA8QwggMtoAMCAQIC
// SIG // EEe/GZXfjVJGQ/fbbUgNMaQwDQYJKoZIhvcNAQEFBQAw
// SIG // gYsxCzAJBgNVBAYTAlpBMRUwEwYDVQQIEwxXZXN0ZXJu
// SIG // IENhcGUxFDASBgNVBAcTC0R1cmJhbnZpbGxlMQ8wDQYD
// SIG // VQQKEwZUaGF3dGUxHTAbBgNVBAsTFFRoYXd0ZSBDZXJ0
// SIG // aWZpY2F0aW9uMR8wHQYDVQQDExZUaGF3dGUgVGltZXN0
// SIG // YW1waW5nIENBMB4XDTAzMTIwNDAwMDAwMFoXDTEzMTIw
// SIG // MzIzNTk1OVowUzELMAkGA1UEBhMCVVMxFzAVBgNVBAoT
// SIG // DlZlcmlTaWduLCBJbmMuMSswKQYDVQQDEyJWZXJpU2ln
// SIG // biBUaW1lIFN0YW1waW5nIFNlcnZpY2VzIENBMIIBIjAN
// SIG // BgkqhkiG9w0BAQEFAAOCAQ8AMIIBCgKCAQEAqcqypMzN
// SIG // IK8KfYmsh3XwtE7x38EPv2dhvaNkHNq7+cozq4QwiVh+
// SIG // jNtr3TaeD7/R7Hjyd6Z+bzy/k68Numj0bJTKvVItq0g9
// SIG // 9bbVXV8bAp/6L2sepPejmqYayALhf0xS4w5g7EAcfrkN
// SIG // 3j/HtN+HvV96ajEuA5mBE6hHIM4xcw1XLc14NDOVEpkS
// SIG // ud5oL6rm48KKjCrDiyGHZr2DWFdvdb88qiaHXcoQFTyf
// SIG // hOpUwQpuxP7FSt25BxGXInzbPifRHnjsnzHJ8eYiGdvE
// SIG // s0dDmhpfoB6Q5F717nzxfatiAY/1TQve0CJWqJXNroh2
// SIG // ru66DfPkTdmg+2igrhQ7s4fBuwIDAQABo4HbMIHYMDQG
// SIG // CCsGAQUFBwEBBCgwJjAkBggrBgEFBQcwAYYYaHR0cDov
// SIG // L29jc3AudmVyaXNpZ24uY29tMBIGA1UdEwEB/wQIMAYB
// SIG // Af8CAQAwQQYDVR0fBDowODA2oDSgMoYwaHR0cDovL2Ny
// SIG // bC52ZXJpc2lnbi5jb20vVGhhd3RlVGltZXN0YW1waW5n
// SIG // Q0EuY3JsMBMGA1UdJQQMMAoGCCsGAQUFBwMIMA4GA1Ud
// SIG // DwEB/wQEAwIBBjAkBgNVHREEHTAbpBkwFzEVMBMGA1UE
// SIG // AxMMVFNBMjA0OC0xLTUzMA0GCSqGSIb3DQEBBQUAA4GB
// SIG // AEpr+epYwkQcMYl5mSuWv4KsAdYcTM2wilhu3wgpo17I
// SIG // ypMT5wRSDe9HJy8AOLDkyZNOmtQiYhX3PzchT3AxgPGL
// SIG // OIez6OiXAP7PVZZOJNKpJ056rrdhQfMqzufJ2V7duyuF
// SIG // PrWdtdnhV/++tMV+9c8MnvCX/ivTO1IbGzgn9z9KMIIE
// SIG // vzCCBCigAwIBAgIQQZGhWjl4389JZWY4HUx1wjANBgkq
// SIG // hkiG9w0BAQUFADBfMQswCQYDVQQGEwJVUzEXMBUGA1UE
// SIG // ChMOVmVyaVNpZ24sIEluYy4xNzA1BgNVBAsTLkNsYXNz
// SIG // IDMgUHVibGljIFByaW1hcnkgQ2VydGlmaWNhdGlvbiBB
// SIG // dXRob3JpdHkwHhcNMDQwNzE2MDAwMDAwWhcNMTQwNzE1
// SIG // MjM1OTU5WjCBtDELMAkGA1UEBhMCVVMxFzAVBgNVBAoT
// SIG // DlZlcmlTaWduLCBJbmMuMR8wHQYDVQQLExZWZXJpU2ln
// SIG // biBUcnVzdCBOZXR3b3JrMTswOQYDVQQLEzJUZXJtcyBv
// SIG // ZiB1c2UgYXQgaHR0cHM6Ly93d3cudmVyaXNpZ24uY29t
// SIG // L3JwYSAoYykwNDEuMCwGA1UEAxMlVmVyaVNpZ24gQ2xh
// SIG // c3MgMyBDb2RlIFNpZ25pbmcgMjAwNCBDQTCCASIwDQYJ
// SIG // KoZIhvcNAQEBBQADggEPADCCAQoCggEBAL687rx+74Pr
// SIG // 4DdP+wMQOL4I0ox9nfqSfxkMwmvuQlKM3tMcSBMl6sFj
// SIG // evlRZe7Tqjv18JScK/vyZtQk2vf1n24ZOTa80KN2CB4i
// SIG // JyRsOJEn4oRJrhuKof0lgiwQMOhxqyjod0pR8ezN+PBU
// SIG // 1G/A420Kj9nYZI1jsi1OJ/aFDv5t4ymZ4oVHfC2Gf+hX
// SIG // j61nwjMykRMg/KkjFJptwoRLdmgE1XEsXSH6iA0m/R8t
// SIG // kSvnAVVN8m01KILf2WtcttbZqoH9X82DumOd0CL8qTtC
// SIG // abKOOrW8tJ4PXsTqLIKLKP1TCJbdtQEg0fmlGOfA7lFw
// SIG // N+G2BUhSSG846sPobHtEhLsCAwEAAaOCAaAwggGcMBIG
// SIG // A1UdEwEB/wQIMAYBAf8CAQAwRAYDVR0gBD0wOzA5Bgtg
// SIG // hkgBhvhFAQcXAzAqMCgGCCsGAQUFBwIBFhxodHRwczov
// SIG // L3d3dy52ZXJpc2lnbi5jb20vcnBhMDEGA1UdHwQqMCgw
// SIG // JqAkoCKGIGh0dHA6Ly9jcmwudmVyaXNpZ24uY29tL3Bj
// SIG // YTMuY3JsMB0GA1UdJQQWMBQGCCsGAQUFBwMCBggrBgEF
// SIG // BQcDAzAOBgNVHQ8BAf8EBAMCAQYwEQYJYIZIAYb4QgEB
// SIG // BAQDAgABMCkGA1UdEQQiMCCkHjAcMRowGAYDVQQDExFD
// SIG // bGFzczNDQTIwNDgtMS00MzAdBgNVHQ4EFgQUCPVR6Pv+
// SIG // PT1kNnxoz1t4qN+5xTcwgYAGA1UdIwR5MHehY6RhMF8x
// SIG // CzAJBgNVBAYTAlVTMRcwFQYDVQQKEw5WZXJpU2lnbiwg
// SIG // SW5jLjE3MDUGA1UECxMuQ2xhc3MgMyBQdWJsaWMgUHJp
// SIG // bWFyeSBDZXJ0aWZpY2F0aW9uIEF1dGhvcml0eYIQcLrk
// SIG // HRDZKTS2OMp7A8y6vzANBgkqhkiG9w0BAQUFAAOBgQCu
// SIG // Ohe4SntV+mRV7ECk7UlBkJmcibyvLh3KeCP5HBkPf+to
// SIG // vDLZiDje3D/TibQ/sYKW8aRauu0uJtPefAFuAAoApAaS
// SIG // EUgJQPkcGHlnIyTgu9XhUK4b9Q7d4C6BzYCjbFJPkXVV
// SIG // iroi8tLqQXWIL2NVfR5UWpVZytk0gcBfXvZ6tTCCBQQw
// SIG // ggPsoAMCAQICECxQDhPb8fhBVLin9ib1aMswDQYJKoZI
// SIG // hvcNAQEFBQAwgbQxCzAJBgNVBAYTAlVTMRcwFQYDVQQK
// SIG // Ew5WZXJpU2lnbiwgSW5jLjEfMB0GA1UECxMWVmVyaVNp
// SIG // Z24gVHJ1c3QgTmV0d29yazE7MDkGA1UECxMyVGVybXMg
// SIG // b2YgdXNlIGF0IGh0dHBzOi8vd3d3LnZlcmlzaWduLmNv
// SIG // bS9ycGEgKGMpMDQxLjAsBgNVBAMTJVZlcmlTaWduIENs
// SIG // YXNzIDMgQ29kZSBTaWduaW5nIDIwMDQgQ0EwHhcNMDgw
// SIG // ODIwMDAwMDAwWhcNMDkwOTI2MjM1OTU5WjCBxzELMAkG
// SIG // A1UEBhMCQ04xETAPBgNVBAgTCFNoYW5naGFpMREwDwYD
// SIG // VQQHEwhTaGFuZ2hhaTEXMBUGA1UEChQOU3luYWNhc3Qg
// SIG // Q29ycC4xPjA8BgNVBAsTNURpZ2l0YWwgSUQgQ2xhc3Mg
// SIG // MyAtIE1pY3Jvc29mdCBTb2Z0d2FyZSBWYWxpZGF0aW9u
// SIG // IHYyMSAwHgYDVQQLFBdUZWNobmljYWwgU3VwcG9ydCBE
// SIG // ZXB0LjEXMBUGA1UEAxQOU3luYWNhc3QgQ29ycC4wgZ8w
// SIG // DQYJKoZIhvcNAQEBBQADgY0AMIGJAoGBAOwgEJobSgUg
// SIG // iJnZllJeF90ZUuPZETuEDVB0mXu8Ze8mJ5e8KW6ki2vm
// SIG // kakq+ZcAsLUggjAl1mRDzeaimYl/1gBgKUUrFJRetLtP
// SIG // DMjLmOxsAb6lF7ipQTIXqWDHTqUsYZGWZCXLLtWADUVO
// SIG // oGkizIMg1v2eD9pmoOURtN6WLpXxAgMBAAGjggF/MIIB
// SIG // ezAJBgNVHRMEAjAAMA4GA1UdDwEB/wQEAwIHgDBABgNV
// SIG // HR8EOTA3MDWgM6Axhi9odHRwOi8vQ1NDMy0yMDA0LWNy
// SIG // bC52ZXJpc2lnbi5jb20vQ1NDMy0yMDA0LmNybDBEBgNV
// SIG // HSAEPTA7MDkGC2CGSAGG+EUBBxcDMCowKAYIKwYBBQUH
// SIG // AgEWHGh0dHBzOi8vd3d3LnZlcmlzaWduLmNvbS9ycGEw
// SIG // EwYDVR0lBAwwCgYIKwYBBQUHAwMwdQYIKwYBBQUHAQEE
// SIG // aTBnMCQGCCsGAQUFBzABhhhodHRwOi8vb2NzcC52ZXJp
// SIG // c2lnbi5jb20wPwYIKwYBBQUHMAKGM2h0dHA6Ly9DU0Mz
// SIG // LTIwMDQtYWlhLnZlcmlzaWduLmNvbS9DU0MzLTIwMDQt
// SIG // YWlhLmNlcjAfBgNVHSMEGDAWgBQI9VHo+/49PWQ2fGjP
// SIG // W3io37nFNzARBglghkgBhvhCAQEEBAMCBBAwFgYKKwYB
// SIG // BAGCNwIBGwQIMAYBAQABAf8wDQYJKoZIhvcNAQEFBQAD
// SIG // ggEBAFqE8b4xEx1DMtXkj2RVEwmyDaHtoY/6dNx3DPz6
// SIG // nLi28kP0qz4AxxLXvePTuCPlh457WTEdGcTtUYw5WzzE
// SIG // rWEIqCsX9rXKEcmm7SIrC5tZYTaS93YIHt2OPlwtkOPl
// SIG // VVVABLu9D34DkIXGGupVKQp7gUyjvsJrJzc5lmistYHo
// SIG // CV3ArZkIvhNkLVpdSsysEWq8zfjOD5q8BjEEgAq3Wh2A
// SIG // 3s2D+lHjCuSxHYry++2boojYLZYv9M2OGHMM+qgrL5QT
// SIG // EgcVofIX2KpIEl+DhTjPqXexHPKvR6uj3Jf3XZncZ+1E
// SIG // UtrV+Y7+ul5ksI0TW24+OnK80tZf8/cZ8f149hMxggNl
// SIG // MIIDYQIBATCByTCBtDELMAkGA1UEBhMCVVMxFzAVBgNV
// SIG // BAoTDlZlcmlTaWduLCBJbmMuMR8wHQYDVQQLExZWZXJp
// SIG // U2lnbiBUcnVzdCBOZXR3b3JrMTswOQYDVQQLEzJUZXJt
// SIG // cyBvZiB1c2UgYXQgaHR0cHM6Ly93d3cudmVyaXNpZ24u
// SIG // Y29tL3JwYSAoYykwNDEuMCwGA1UEAxMlVmVyaVNpZ24g
// SIG // Q2xhc3MgMyBDb2RlIFNpZ25pbmcgMjAwNCBDQQIQLFAO
// SIG // E9vx+EFUuKf2JvVoyzAJBgUrDgMCGgUAoHAwEAYKKwYB
// SIG // BAGCNwIBDDECMAAwGQYJKoZIhvcNAQkDMQwGCisGAQQB
// SIG // gjcCAQQwHAYKKwYBBAGCNwIBCzEOMAwGCisGAQQBgjcC
// SIG // ARUwIwYJKoZIhvcNAQkEMRYEFAkrepwFEuuCt6Xf/mtB
// SIG // SXApfiMuMA0GCSqGSIb3DQEBAQUABIGAKsunC9+WnQmG
// SIG // ole2BU47jcd3++L3Fi7+2LP7Z3xnlREQPyrH0GVkW8r2
// SIG // oHCFqssOUKaiiRPHKQMq+Rby/hppjdqLkJmccGPTvL0H
// SIG // TZdeThs0gKVGEytLZphNC1IQHqINqnZ4Y2hT83Di2OYo
// SIG // EUGO2EDuAcIr/rM8WjKymtej/H6hggF/MIIBewYJKoZI
// SIG // hvcNAQkGMYIBbDCCAWgCAQEwZzBTMQswCQYDVQQGEwJV
// SIG // UzEXMBUGA1UEChMOVmVyaVNpZ24sIEluYy4xKzApBgNV
// SIG // BAMTIlZlcmlTaWduIFRpbWUgU3RhbXBpbmcgU2Vydmlj
// SIG // ZXMgQ0ECEDgl1/r4Ya+e9JDnJrXWWtUwCQYFKw4DAhoF
// SIG // AKBdMBgGCSqGSIb3DQEJAzELBgkqhkiG9w0BBwEwHAYJ
// SIG // KoZIhvcNAQkFMQ8XDTA5MDUwODEwMDIxNlowIwYJKoZI
// SIG // hvcNAQkEMRYEFCCB7CxBubx0YkpJSBBQ9dM/vBnCMA0G
// SIG // CSqGSIb3DQEBAQUABIGAXfgydHXjeXrLKTShryS3i4Z7
// SIG // Ax/Qk3hVfGKKL0+t2/RQsaPKEM1+18cpdE1+AVx038bx
// SIG // UKDS+P2xde63ky6EaxnN4vWc7357wWriIphpjA/tgDsW
// SIG // /qQRc5hFPfFExPWyQbxIcBKY67paZPc/U6stO/PXNbjk
// SIG // xxXDfq0GjcqqNaw=
// SIG // End signature block
